Get All Properties
curl --request POST \
--url https://app.leafpress.io/property/all_ids \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://app.leafpress.io/property/all_ids"
payload = { "email": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://app.leafpress.io/property/all_ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Data Endpoints
Get All Properties
POST
/
property
/
all_ids
Get All Properties
Get all properties that your user email owns or shares.
Request Params
NoneRequest Body
string
required
Email address of the user to query properties for
Response
The response is an object where each key is a property ID, containing the following fields:⌘I
